## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanMessageLoader Class Reference

Inheritance diagram for XalanMessageLoader:

[legend]
Collaboration diagram for XalanMessageLoader:

[legend]
List of all members.

## Public Member Functions

- virtual ~XalanMessageLoader ()
- XalanMessageLoader ()

## Static Public Member Functions

- void initialize (MemoryManagerType &theManager)
- void terminate ()
- XalanDOMString & getMessage (XalanMessages::Codes msgToLoad, XalanDOMString &theResultMessage, const char *repText1, const char *repText2=0, const char *repText3=0, const char *repText4=0)
- XalanDOMString & getMessage (XalanMessages::Codes msgToLoad, XalanDOMString &theResultMessage, const XalanDOMChar *repText1, const XalanDOMChar *repText2=0, const XalanDOMChar *repText3=0, const XalanDOMChar *repText4=0)
- XalanDOMString & getMessage (XalanMessages::Codes msgToLoad, XalanDOMString &theResultMessage)
- XalanDOMString & getMessage (XalanMessages::Codes msgToLoad, XalanDOMString &theResultMessage, const XalanDOMString &repText1)
- XalanDOMString & getMessage (XalanMessages::Codes msgToLoad, XalanDOMString &theResultMessage, const XalanDOMString &repText1, const XalanDOMString &repText2)
- XalanDOMString & getMessage (XalanMessages::Codes msgToLoad, XalanDOMString &theResultMessage, const XalanDOMString &repText1, const XalanDOMString &repText2, const XalanDOMString &repText3)

## Protected Member Functions

- virtual bool loadMsg (XalanMessages::Codes msgToLoad, XalanDOMChar *toFill, unsigned int maxChars)=0

## Constructor & Destructor Documentation

virtual XalanMessageLoader::~XalanMessageLoader | ( |  | ) | `[virtual]`

XalanMessageLoader::XalanMessageLoader | ( |  | ) |

## Member Function Documentation

XalanDOMString& XalanMessageLoader::getMessage | ( | XalanMessages::Codes | msgToLoad,
|  | XalanDOMString & | theResultMessage,
|  | const XalanDOMString & | repText1,
|  | const XalanDOMString & | repText2,
|  | const XalanDOMString & | repText3
| ) | `[static]`

XalanDOMString& XalanMessageLoader::getMessage | ( | XalanMessages::Codes | msgToLoad,
|  | XalanDOMString & | theResultMessage,
|  | const XalanDOMString & | repText1,
|  | const XalanDOMString & | repText2
| ) | `[static]`

XalanDOMString& XalanMessageLoader::getMessage | ( | XalanMessages::Codes | msgToLoad,
|  | XalanDOMString & | theResultMessage,
|  | const XalanDOMString & | repText1
| ) | `[static]`

XalanDOMString& XalanMessageLoader::getMessage | ( | XalanMessages::Codes | msgToLoad,
|  | XalanDOMString & | theResultMessage
| ) | `[static]`

XalanDOMString& XalanMessageLoader::getMessage | ( | XalanMessages::Codes | msgToLoad,
|  | XalanDOMString & | theResultMessage,
|  | const XalanDOMChar * | repText1,
|  | const XalanDOMChar * | repText2 = 0,
|  | const XalanDOMChar * | repText3 = 0,
|  | const XalanDOMChar * | repText4 = 0
| ) | `[static]`

XalanDOMString& XalanMessageLoader::getMessage | ( | XalanMessages::Codes | msgToLoad,
|  | XalanDOMString & | theResultMessage,
|  | const char * | repText1,
|  | const char * | repText2 = 0,
|  | const char * | repText3 = 0,
|  | const char * | repText4 = 0
| ) | `[static]`

void XalanMessageLoader::initialize | ( | MemoryManagerType & | theManager | ) | `[static]`

virtual bool XalanMessageLoader::loadMsg | ( | XalanMessages::Codes | msgToLoad,
|  | XalanDOMChar * | toFill,
|  | unsigned int | maxChars
| ) | `[protected, pure virtual]`

| Implemented in XalanInMemoryMessageLoader.

void XalanMessageLoader::terminate | ( |  | ) | `[static]`

The documentation for this class was generated from the following file:

- XalanMessageLoader.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.